> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-support-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Image Config

> Retrieves endpoint and volume suggestions for a container image from a registry.



## OpenAPI

````yaml https://api-mc.opsbunny.net/docs/public/swagger.json post /registries/image-config
openapi: 3.0.4
info:
  title: Public API
  description: 'Public API endpoints for user consumption. Release version: v1.9.36.0'
  version: '1.0'
servers:
  - url: https://api.bunny.net/mc
security:
  - AccessKey: []
paths:
  /registries/image-config:
    post:
      tags:
        - ContainerRegistries
      summary: Get Image Config
      description: >-
        Retrieves endpoint and volume suggestions for a container image from a
        registry.
      operationId: GetImageConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListContainerImageExposedPortsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ListContainerImageExposedPortsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ListContainerImageExposedPortsRequest'
      responses:
        '200':
          description: Image configuration was successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageConfig'
        '401':
          description: User is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetails'
components:
  schemas:
    ListContainerImageExposedPortsRequest:
      required:
        - imageName
        - imageNamespace
        - registryId
        - tag
      type: object
      properties:
        registryId:
          minLength: 1
          type: string
          description: >-
            The registry identifier. Can be "dockerhub", "github", or a private
            registry ID.
        imageName:
          maxLength: 100
          minLength: 1
          type: string
        imageNamespace:
          maxLength: 100
          minLength: 1
          type: string
        tag:
          maxLength: 100
          minLength: 1
          type: string
      additionalProperties: false
    ImageConfig:
      type: object
      properties:
        endpointSuggestions:
          type: array
          items:
            $ref: '#/components/schemas/EndpointRequest'
        volumeSuggestions:
          type: array
          items:
            $ref: '#/components/schemas/VolumeSuggestion'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ErrorDetails:
      type: object
      properties:
        title:
          type: string
          description: A short, human-readable summary of the problem type.
          readOnly: true
        status:
          type: integer
          description: The HTTP status code.
          format: int32
          readOnly: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
          readOnly: true
        instance:
          type: string
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          nullable: true
          readOnly: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          description: Additional validation errors for field-specific issues.
          nullable: true
          readOnly: true
        id:
          type: string
          description: >-
            The application ID, returned as an RFC 7807 extension field when
            relevant (e.g. partial save errors).

            Matches the "id" field from successful create response for
            consistency.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: RFC 7807 Problem Details response model.
    EndpointRequest:
      required:
        - displayName
      type: object
      properties:
        displayName:
          maxLength: 50
          minLength: 1
          type: string
        cdn:
          $ref: '#/components/schemas/CdnEndpointRequest'
        anycast:
          $ref: '#/components/schemas/AnycastEndpointRequest'
      additionalProperties: false
    VolumeSuggestion:
      type: object
      properties:
        containerPath:
          type: string
        suggestedVolumeName:
          type: string
      additionalProperties: false
    ValidationError:
      required:
        - message
      type: object
      properties:
        field:
          type: string
          nullable: true
        message:
          type: string
      additionalProperties: false
    CdnEndpointRequest:
      type: object
      properties:
        isSslEnabled:
          type: boolean
        stickySessions:
          $ref: '#/components/schemas/StickySessionSettings'
        pullZoneId:
          type: integer
          format: int32
          nullable: true
        portMappings:
          maxItems: 1
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/ContainerPortMappingRequest'
      additionalProperties: false
    AnycastEndpointRequest:
      required:
        - portMappings
        - type
      type: object
      properties:
        type:
          $ref: '#/components/schemas/AnycastIpProtocolVersion'
        portMappings:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/ContainerPortMappingRequest'
      additionalProperties: false
    StickySessionSettings:
      required:
        - sessionHeaders
      type: object
      properties:
        enabled:
          type: boolean
        sessionHeaders:
          maxItems: 3
          minItems: 1
          type: array
          items:
            type: string
        cookieName:
          type: string
      additionalProperties: false
    ContainerPortMappingRequest:
      required:
        - containerPort
      type: object
      properties:
        containerPort:
          maximum: 65535
          minimum: 1
          type: integer
          format: int32
        exposedPort:
          maximum: 65535
          minimum: 1
          type: integer
          format: int32
          nullable: true
        protocols:
          type: array
          items:
            $ref: '#/components/schemas/Protocol'
      additionalProperties: false
    AnycastIpProtocolVersion:
      enum:
        - iPv4
      type: string
    Protocol:
      enum:
        - tcp
        - udp
        - sctp
      type: string
  securitySchemes:
    AccessKey:
      type: apiKey
      description: Please enter a valid personal API key.
      name: AccessKey
      in: header

````